System.Configuration.Install 1.0.5000.0 2.0.0.0 System.ComponentModel.Component System.ComponentModel.DefaultEvent("AfterInstall")

This is the base class for all custom installers in the .NET Framework. Installers are components that help install applications on a computer.

There are several steps you must follow to use an :

Inherit the class.

Override the , , , and methods.

Add the to your derived class and set it to true.

Put your derived class in the assembly with your application to install.

Invoke the installers. For example, use the InstallUtil.exe to invoke the installers.

The property contains a collection of installers. If this instance of is part of an installer collection, the property is set to the instance that contains the collection. For an example of the use of the collection, see the class.

The , , , and methods of the class go through the collection of installers stored in the property, and invokes the corresponding method of each installer.

The , , , and methods are not always called on the same instance. For example, one instance might be used while installing and committing an application, and then the reference to that instance is released. Later, uninstalling the application creates a reference to a new instance, meaning that the method is called by a different instance of . For this reason, in your derived class, do not save the state of a computer in an installer. Instead, use an that is preserved across calls and passed into your , , , and methods.

Two situations illustrate the need to save information in the state-saver . First, suppose that your installer sets a registry key. It should save the key's original value in the . If the installation is rolled back, the original value can be restored. Second, suppose the installer replaces an existing file. Save the existing file in a temporary directory and the location of the new location of the file in the . If the installation is rolled back, the newer file is deleted and replaced by the original from the temporary location.

The property contains information about the installation. For example, information about the location of the log file for the installation, the location of the file to save information required by the method, and the command line that was entered when the installation executable was run.

Provides the foundation for custom installations.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Event
  System.Configuration.Install.InstallEventHandler To be added.

  Occurs after the methods of all the installers in the property have run.

  1.0.5000.0
  2.0.0.0
- Event
  System.Configuration.Install.InstallEventHandler To be added.

  Occurs after the installations of all the installers in the property are rolled back.

  1.0.5000.0
  2.0.0.0
- Event
  System.Configuration.Install.InstallEventHandler To be added.

  Occurs after all the installers in the property perform their uninstallation operations.

  1.0.5000.0
  2.0.0.0
- Event
  System.Configuration.Install.InstallEventHandler To be added.

  Occurs before the method of each installer in the installer collection has run.

  1.0.5000.0
  2.0.0.0
- Event
  System.Configuration.Install.InstallEventHandler To be added.

  Occurs before the installers in the property are rolled back.

  1.0.5000.0
  2.0.0.0
- Event
  System.Configuration.Install.InstallEventHandler To be added.

  Occurs before the installers in the property perform their uninstall operations.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added.

  When overridden in a derived class, completes the install transaction.

  An that contains the state of the computer after all the installers in the collection have run. 1.0.5000.0 2.0.0.0
- Event
  System.Configuration.Install.InstallEventHandler To be added.

  Occurs after all the installers in the property have committed their installations.

  1.0.5000.0
  2.0.0.0
- Event
  System.Configuration.Install.InstallEventHandler To be added.

  Occurs before the installers in the property committ their installations.

  1.0.5000.0
  2.0.0.0
- Property
  System.ComponentModel.Browsable(false)
  System.ComponentModel.DesignerSerializationVisibility(System.ComponentModel.DesignerSerializationVisibility.Hidden)
  System.Configuration.Install.InstallContext To be added.

  The property contains installation information. For example, information about the location of the log file for the installation, the location of the file to save information required by the method, and the command line that was entered when the installation executable was run.

  The program that calls the , , , or methods sets the property with information that the methods need.

  If an installer belongs to an installer collection, the parent installer sets the property before calling any of these methods. The parent installer can be accessed through the property.

  Gets or sets information about the current installation.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the help text for all the installers in the installer collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added.

  When overridden in a derived class, performs the installation.

  An used to save information needed to perform a commit, rollback, or uninstall operation. 1.0.5000.0 2.0.0.0
- Property
  System.Configuration.Install.InstallerCollection To be added.

  The property contains a collection of installers that install objects needed by this instance to correctly install the component. The , , , and methods of the class go through the collection of installers and invokes the corresponding method of each installer.

  If this instance of is contained in an installer collection, the property is the instance that contains the collection. For an example of the use of the collection, see the class.

  Gets the collection of installers that this installer contains.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method is called after the methods of all the installers in this instance's run.

  Raising an event invokes the event handler through a delegate. For more information, see [<topic://cpconProvidingEventFunctionality>].

  The method allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  An that contains the state of the computer after all the installers contained in the property have completed their installations. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method is called after the methods of all the installers in this instance's have run.

  Raising an event invokes the event handler through a delegate. For more information, see [<topic://cpconProvidingEventFunctionality>].

  The method allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  An that contains the state of the computer after the installers contained in the property are rolled back. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method is called after the methods of all the installers in this instance's have run.

  Raising an event invokes the event handler through a delegate. For more information, see [<topic://cpconProvidingEventFunctionality>].

  The method allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  An that contains the state of the computer after all the installers contained in the property are uninstalled. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method is called before the methods of the installers in this instance's are called.

  Raising an event invokes the event handler through a delegate. For more information, see [<topic://cpconProvidingEventFunctionality>].

  The method allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  An that contains the state of the computer before the installers in the property are installed. This object should be empty at this point. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method is called before the methods of the installers in this instance's are called.

  Raising an event invokes the event handler through a delegate. For more information, see [<topic://cpconProvidingEventFunctionality>].

  The method allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  An that contains the state of the computer before the installers in the property are rolled back. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method is called before the methods of the installers in this instance's are uninstalled.

  Raising an event invokes the event handler through a delegate. For more information, see [<topic://cpconProvidingEventFunctionality>].

  The method allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  An that contains the state of the computer before the installers in the property uninstall their installations. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method is called after the methods of all the installers contained in this instance's installer collection run.

  Raising an event invokes the event handler through a delegate. For more information, see [<topic://cpconProvidingEventFunctionality>].

  The method allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  An that contains the state of the computer after all the installers in the property run. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  This method is called before the methods of the installers in this instance's run.

  Raising an event invokes the event handler through a delegate. For more information, see [<topic://cpconProvidingEventFunctionality>].

  The method allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  An that contains the state of the computer before the installers in the property are committed. 1.0.5000.0 2.0.0.0
- Property
  System.Configuration.Install.Installer To be added.

  If this instance of is part of an installer collection, the property is set to the instance that contains the collection. For an example of the use of the collection, see the class.

  The property contains a collection of installers. The , , , and methods of the class go through the collection of installers and invokes the corresponding method of each installer.

  Gets or sets the installer containing the collection that this installer belongs to.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added.

  When overridden in a derived class, restores the pre-installation state of the computer.

  An that contains the pre-installation state of the computer. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added.

  When overridden in a derived class, removes an installation.

  An that contains the state of the computer after the installation was complete. 1.0.5000.0 2.0.0.0